Subject: Re: bug#38357: babl-0.1.72 build failure (test failure) - dependency for gimp

From: Brett Gilio <[email-masked]>
Date: Mon, 23 Dec 2019 18:42:03 -0600

Ludovic Courtès <[email-masked]> writes:

> Hi,
>
> Tobias Geerinckx-Rice via Bug reports for GNU Guix <[email-masked]>
> skribis:
>
>> Christopher Howard 写道：
>>> 22/25 alpha_symmetric_transform               FAIL     0.12 s (exit
>>
>> I've built master's babl a few times now, the damned thing keeps
>> succeeding:
>
> It failed on berlin:
>
>   https://ci.guix.gnu.org/log/qzz0qv5llrfb6ls8018yjkwg55lk26yk-babl-0.1.72
>
> So the test must be numerically unstable or something.
>
> Does upstream have patches or bug reports?
>
> Thanks,
> Ludo’.
>
>
>
>

This still looks like an on-going issue. I am where Tobias is at, I
can't reproduce this on my machine which lends me to believe you are
right, Ludo'.

Interestingly, the store object hashes are matching.

http://berlin.guixsd.org/log/qzz0qv5llrfb6ls8018yjkwg55lk26yk-babl-0.1.72

--8<---------------cut here---------------start------------->8---
22/25 alpha_symmetric_transform               FAIL     0.17 s (exit status 255 or signal 127 SIGinvalid)
23/25 types                                   OK       0.12 s 
24/25 concurrency-stress-test                 OK       0.37 s 
25/25 palette-concurrency-stress-test         OK       0.62 s 

Ok:                   24
Expected Fail:         0
Fail:                  1
Unexpected Pass:       0
Skipped:               0
Timeout:               0

The output from the failed tests:

22/25 alpha_symmetric_transform               FAIL     0.17 s (exit status 255 or signal 127 SIGinvalid)

--- command ---
LD_LIBRARY_PATH='/tmp/guix-build-babl-0.1.72.drv-0/build/babl' GI_TYPELIB_PATH='/tmp/guix-build-babl-0.1.72.drv-0/build/babl' BABL_PATH='/tmp/guix-build-babl-0.1.72.drv-0/build/extensions' /tmp/guix-build-babl-0.1.72.drv-0/build/tests/alpha_symmetric_transform
--- stdout ---

--- stderr ---
../babl-0.1.72/babl/babl-internal.h:214 babl_log()
	separate alpha 10.2: 100000.007812500!=100000.000000000(ref)  
../babl-0.1.72/babl/babl-internal.h:214 babl_log()
	separate alpha 11.1: 49999.996093750!=50000.000000000(ref)  
../babl-0.1.72/babl/babl-internal.h:214 babl_log()
	separate alpha 11.2: 499999.968750000!=500000.000000000(ref)  
../babl-0.1.72/babl/babl-internal.h:214 babl_log()
	associatd-alpha 10.2: 100000.007812500!=100000.000000000(ref)  
../babl-0.1.72/babl/babl-internal.h:214 babl_log()
	associatd-alpha 11.1: 49999.992187500!=50000.000000000(ref)  
../babl-0.1.72/babl/babl-internal.h:214 babl_log()
	associatd-alpha 11.2: 499999.937500000!=500000.000000000(ref)  
-------

Full log written to /tmp/guix-build-babl-0.1.72.drv-0/build/meson-logs/testlog.txt
FAILED: meson-test 
--8<---------------cut here---------------end--------------->8---

Perhaps we should work around the singular failing test-case and open a
report upstream to include in a comment?

Wdyt?

-- 
Brett M. Gilio
GNU Guix, Contributor | GNU Project, Webmaster
[DFC0 C7F7 9EE6 0CA7 AE55 5E19 6722 43C4 A03F 0EEE]
<[email-masked]> <[email-masked]>